import java.util.ArrayList;

/**
 *  Sorting Algorithms Lecture:<br>
 *  An interface that defines the behavior of various sorters.
 *
 *  @author Alyce Brady
 *  @version 16 February 2016
 */
public interface Sorter
{

  // Methods
  
    /**
     * Describes which sorting algorithm this is.
     */
    public String getDescription();
    
    /**
     * Sorts the data in the ArrayList of data.
     */
    public void sort(ArrayList<String> data);

}
