import java.util.ArrayList;
import java.util.Collections;

/**
 *  Lab (or Programming Project) X: Name of Lab or PP<br>
 *
 *  The <code>MainClassTemplate</code> class provides a main method
 *  for a program that does X.
 *
 *  A more detailed description goes here, if necessary.
 *  <br> <br>
 *  Created: <br>
 *     [the date], [your name(s)]<br>
 *     With assistance from:  [people who helped (including instructor/TAs)]<br>
 *  Modifications: <br>
 *     [the date], [your name(s)], [the reason]<br>
 *
 *  @author [your name]   [with assistance from]
 *  @author [your partner's name]   [with assistance from]
 */
public class SortAlgsApp
{
    /**
     *  The main function initiates execution of this program.
     *    @param    String[] args not used in this program
     **/
    public static void main(String[] args)
    {
        System.out.println ("Welcome to several sorting algorithms.\n");
        
        ArrayList<String> data = createListOfStrings();
        ArrayList<Sorter> allSorters = new ArrayList<Sorter>();
        allSorters.add(new InsertionSorter());
//         allSorters.add(new SelectionSorter());
        
        for ( Sorter sorter : allSorters )
        {
            System.out.println(sorter.getDescription() + ":");
            System.out.println("----------");
            
            Collections.shuffle(data);
            for ( String name : data )
                System.out.println(name);
            System.out.println("----------");
            
            sorter.sort(data);
            for ( String name : data )
                System.out.println(name);
            System.out.println("==========\n");
        }

        System.out.println ("Program done.");

    }//end main
    
    /**
     * Creates a list of strings.  The strings are in sorted order.
     */
    private static ArrayList<String> createListOfStrings()
    {
        ArrayList<String> listToReturn = new ArrayList<String>();
        
        listToReturn.add("Alex");
        listToReturn.add("Andrew");
        listToReturn.add("Aunic");
        listToReturn.add("Austen");
        listToReturn.add("Azra");
        listToReturn.add("Bart");
        listToReturn.add("Braeden");
        listToReturn.add("Brandon D.");
        listToReturn.add("Brandon S.");
        listToReturn.add("Dan");
        listToReturn.add("Danny");
        listToReturn.add("David");
        listToReturn.add("Delfino");
        listToReturn.add("Elena");
        listToReturn.add("Emerson");
        listToReturn.add("Eugina");
        listToReturn.add("Evan");
        listToReturn.add("Freeman");
        listToReturn.add("Haroon");
        listToReturn.add("Jack");
        listToReturn.add("Jake");
        listToReturn.add("Jennifer");
        listToReturn.add("Jon");
        listToReturn.add("Keenan");
        listToReturn.add("Kio");
        listToReturn.add("Koji");
        listToReturn.add("Lionel");
        listToReturn.add("Matt");
        listToReturn.add("Michael");
        listToReturn.add("Michelle");
        listToReturn.add("Natalia");
        listToReturn.add("Peter");
        listToReturn.add("Sarah");
        listToReturn.add("Scott");
        listToReturn.add("Sharif");
        listToReturn.add("Sivhaun");
        listToReturn.add("Tanush");
        listToReturn.add("Terence");
        listToReturn.add("Tim");
        listToReturn.add("Tomasso");
        listToReturn.add("Xiang");
        listToReturn.add("Zach");

        return listToReturn;
    }

}//end class
